0. Uvod
-------

    Tento dokument popisuje dostupne typy klavesnic pre X Window System,
a rozne sposoby, ako tieto klavesnice aktivovat.

1. Zoznam klavesnic
-------------------

    Mena klavesnic sa skladaju z viacerych casti. Povedzme: PP_SS_qwerty. PP je
kod primarnej klavesnice - to je ta, ktora je aktivovana po jej zavedeni. SS je
kod sekundarnej klavesnice - ta sa da aktivovat stlacenim laveho a praveho
Shiftu sucasne. Posledna cast je qwertz, prog alebo qwerty - qwertz 
je standardne rozlozenie Y a Z podla pisacieho stroja, qwerty ma umiestnenie 
Y a Z zhodne s anglickou klavesnicou - pre ludi, ktorym sa to nepaci. 
Klavesnica s priponou "prog" ma na hornej rade cislic narodne znaky a inde 
uz len anglicke. Je robena specialne pre programatorov.

    Takze, priklad: sk_us_qwertz je klavesnica, ktora ma po zavedeni slovenske
rozlozenie, po stlaceni ScrollLock anglicke rozlozenie. Umiestnenie Y a Z je 
podla slovenskeho standardu.

    A teraz uz slubeny zoznam:
    
      us_sk_qwerty
      us_sk_qwertz
      us_sk_prog  
      sk_us_qwerty
      sk_us_qwertz
      sk_us_prog  
      us_cz_qwerty
      us_cz_qwertz
      us_cz_prog  
      cz_us_qwerty
      cz_us_qwertz
      cz_us_prog  
      cz           - cisto ceska klavesnica od Petra Spatku podla standardu IBM
      cz_qwerty
      sk           - takisto cisto slovenska, standard IBM
      sk_qwerty

2. Ako nastavit klavesnicu
--------------------------

    Klavesnica sa da nastavit dvoma sposobmi - bud pre vsetkych uzivatelov alebo
pre jedneho uzivatela.

    Pre vsetkych uzivatelov nastavite klavesnicu jednoducho - prihlasite sa ako
`root', pripadne pouzijete program `su' a spustite skript 
`/sbin/X-configure-cs'. Tam si vyberiete klavesnicu a on automaticky upravi 
konfiguracny subor `/etc/X11/XF86Config'. Rucne to mozete spravit upravenim 
riadku `XkbLayout' v sekcii `Keyboard' suboru `/etc/X11/XF86Config'. 
Zakomentujte riadky `XkbSymbols' a `XkbKeymap' a upravte riadok `XkbLayout' 
napriklad takto: `XkbLayout   "czsk(sk_us_qwertz)"'.

    Ak nechcete nastavovat klavesnicu vsetkym uzivatelom, tak nechajte subor
`/etc/X11/XF86Config' tak, ako je, a nastavte si (trebars v xterm-e) klavesnicu
prikazom: `setxkbmap czsk -variant sk_us_qwertz'. Tento prikaz mozete umiestnit
do Vasho domovskeho startovacieho skriptu `.Xsession' a tak budete mat Vasu 
oblubenu klavesnicu zavedenu hned po starte X Window System. Za `sk_us_qwertz' 
si, samozrejme, dosadte Vas oblubeny variant.

    Ak nefunguje `setxkbmap' (napriklad preto, lebo sa nam este nepodarilo
opravit klavesnicove mapy :) ), pouzite prikaz 
`xkbcomp -R/usr/X11R6/lib/X11/xkb keymap/xfree86 -xkm -m sk_us_qwerty 
:${DISPLAY}'.

